#ifndef __VERTEXCOVERPROBLEM_H_
#define __VERTEXCOVERPROBLEM_H_

#include "ProblemDomain.h"
#include "AdjacencyList.h"

class VertexCoverProblem : public ProblemDomain {
  protected:
    AdjacencyList *adjacencyList;

  public:
    VertexCoverProblem( std::string filename );
    virtual ~VertexCoverProblem();
    virtual bool isGood() const;
    virtual FloatType getFitness( AlleleType *chromosome ) const;
    void print( bool verbose ) const;
};

#endif /* __VERTEXCOVERPROBLEM_H_ */
